#ifndef __NLL_SOUND_H_INCLUDED__
#define __NLL_SOUND_H_INCLUDED__

typedef enum {
  SOUND_FILE_TYPE_UNKNOWN = 0,
  SOUND_FILE_TYPE_WAV,
  SOUND_FILE_TYPE_TEXT,

  SOUND_FILE_TYPE_NUM
} sound_file_type_t;

FILE *sound_open(sound_file_type_t type, const char *filename, int samplefreq,
		 int channels, int bits, int samplenum);
int sound_write(sound_file_type_t type, FILE *fp, int channels, int bits,
		int samplenum, int *offset, void *frames, int num);
int sound_close(sound_file_type_t type, FILE *fp, int channels, int bits,
		int samplenum, int *offset);

#endif
